export declare class NodeLocation {
    #private;
    static equals(a: NodeLocation, b: NodeLocation): boolean;
    static transform(base: NodeLocation, location: NodeLocation, delta?: number): NodeLocation;
    readonly path: readonly (number | string)[];
    constructor(path: (number | string)[]);
    slice(start: number, end?: number): NodeLocation;
    get last(): number | string;
    get length(): number;
    toString(): string;
    get hashCode(): number;
}
